interface RequestOptions {
    method?: string;
    contentType?: string;
    customerHeaders?: { [key: string]: string };
    signal?: AbortSignal | null;
}

export function get(url: string, options?: RequestOptions): Promise<Response>
export function post(url: string, data?: BodyInit | null, options?: RequestOptions): Promise<Response>